=== debian/changelog ===
autorevision (1.7-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version, no changes needed

 -- Paul Wise <pabs@debian.org>  Mon, 02 Dec 2013 14:21:50 +0800

autorevision (1.6-2) unstable; urgency=low

  * Package should be arch all, fix that.
  * Priority optional is more appropriate.

 -- Paul Wise <pabs@debian.org>  Fri, 30 Aug 2013 09:53:03 +0200

autorevision (1.6-1) unstable; urgency=low

  * Initial release (Closes: #719436)

 -- Paul Wise <pabs@debian.org>  Wed, 28 Aug 2013 17:17:55 +0200
