=== debian/control ===
Source: autorevision
Section: devel
Priority: optional
Maintainer: Paul Wise <pabs@debian.org>
Build-Depends:
 asciidoc,
 debhelper (>= 9),
 docbook-xml,
 docbook-xsl,
 libxml2-utils,
 xsltproc
Standards-Version: 3.9.5
Homepage: http://www.catb.org/esr/autorevision/

Package: autorevision
Architecture: all
Depends:
 ${misc:Depends}
Description: extracts revision metadata from your VCS repository
 Extracts metadata about the current revision from your repository.
 This program is meant to be used by project build systems to extract
 properties that can be used in software version strings. Repository
 types supported include git, hg, bzr, and svn. It can create files
 containing variable and macro definitions suitable for C, C++, Java,
 sh, Python, Perl, PHP, lua, Javascript, and header files suitable
 for use with preprocessing Info.plist files. Emitted information
 includes the ID of the most recent commit, its branch, its date,
 and several other useful pieces of meta-information. There is
 support for reading and writing a cache file so autorevision will
 remain useful during a build from an unpacked distribution tarball.
