=== debian/watch ===
version=3
http://www.catb.org/esr/autorevision/ .*/autorevision-(\d[\d\.]*)\.tgz
https://github.com/Autorevision/autorevision/releases .*/autorevision-(\d[\d\.]*)\.tgz
