## autorevision 1.10a

=== Makefile ===
--- 
+++ 
@@ -33,10 +33,12 @@
 	control
 
 EXTRA_DIST = \
-	AUTHORS \
+	contribs/logo.svg \
+	contribs/autorevision.mk \
+	AUTHORS.txt \
 	autorevision.cache
 
-all : cmd man
+all : cmd man auth
 
 # The script
 cmd: autorevision
@@ -55,11 +57,20 @@
 autorevision.html: autorevision.asciidoc
 	asciidoc --doctype=manpage --backend=xhtml11 autorevision.asciidoc
 
+# Authors
+auth:
+	git log --format='%aN <%aE>' | awk '{arr[$$0]++} END{for (i in arr){print arr[i], i;}}' | sort -rn | cut -d\  -f2- > AUTHORS.txt
+
 # The tarball
-dist: autorevision-$(VERS).tgz
+dist: autorevision-$(VERS).tgz autorevision-$(VERS).tgz.md5 autorevision-$(VERS).tgz.sig
 
-autorevision-$(VERS).tgz: $(SOURCES) cmd man
-	git log --format='%aN <%aE>' | awk '{arr[$$0]++} END{for (i in arr){print arr[i], i;}}' | sort -rn | cut -d\  -f2- > AUTHORS
+autorevision-$(VERS).tgz.md5: autorevision-$(VERS).tgz
+	md5 -q autorevision-$(VERS).tgz > autorevision-$(VERS).tgz.md5
+
+autorevision-$(VERS).tgz.sig: autorevision-$(VERS).tgz
+	gpg --armour --detach-sign --output "autorevision-$(VERS).tgz.sig" "autorevision-$(VERS).tgz"
+
+autorevision-$(VERS).tgz: $(SOURCES) all
 	mkdir autorevision-$(VERS)
 	cp -pR $(SOURCES) $(EXTRA_DIST) autorevision-$(VERS)/
 	@COPYFILE_DISABLE=1 tar -czf autorevision-$(VERS).tgz autorevision-$(VERS)
@@ -75,15 +86,16 @@
 	rm -f "$(target)/bin/autorevision" "$(target)$(mandir)/man1/autorevision.1.gz"
 
 clean:
-	rm -f autorevision autorevision.html autorevision.1 *.tgz
+	rm -f autorevision autorevision.html autorevision.1
+	rm -f *.tgz *.md5 *.sig
 	rm -f docbook-xsl.css
-	rm -f AUTHORS
 	rm -f CONTRIBUTING.html COPYING.html README.html
 	rm -f *~ index.html
 
 # Not safe to run in a tarball
 devclean: clean
 	rm -f autorevision.cache
+	rm -f AUTHORS AUTHORS.txt
 
 # HTML versions of doc files suitable for use on a website
 docs: \
@@ -94,4 +106,5 @@
 
 # Tag with `git tag -s v/<number>` before running this.
 release: docs dist
+	git tag -v "v/$(VERS)"
 	shipper version=$(VERS) | sh -e -x
