=== debian/changelog ===
autorevision (1.10a-1) unstable; urgency=medium

  * New upstream release
  * Move debian/upstream file to debian/upstream/metadata
  * Bump Standards-Version, no changes needed
  * Add upstream OpenPGP keys and signature mangle
  * Install new autorevision.mk as an example

 -- Paul Wise <pabs@debian.org>  Fri, 24 Oct 2014 12:32:07 +0800
