=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  docbook-xsl,
  libxml2-utils,
  xsltproc
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.catb.org/esr/autorevision/
 
 Package: autorevision
