=== debian/changelog ===
autorevision (1.13-1) unstable; urgency=medium

  * New upstream release
    - Website moved to github, update Homepage
  * The list of output languages/formats changes a lot
    so remove the full list from the package description.

 -- Paul Wise <pabs@debian.org>  Thu, 01 Oct 2015 13:20:09 +0200
