=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libxml2-utils,
  xsltproc
 Standards-Version: 3.9.6
-Homepage: http://www.catb.org/esr/autorevision/
+Homepage: https://autorevision.github.io/
 
 Package: autorevision
 Architecture: all
@@ -21,9 +21,8 @@
  This program is meant to be used by project build systems to extract
  properties that can be used in software version strings. Repository
  types supported include git, hg, bzr, and svn. It can create files
- containing variable and macro definitions suitable for C, C++, Java,
- sh, Python, Perl, PHP, lua, Javascript, and header files suitable
- for use with preprocessing Info.plist files. Emitted information
+ containing variable and macro definitions suitable for a variety of
+ programming languages and other info formats. Emitted information
  includes the ID of the most recent commit, its branch, its date,
  and several other useful pieces of meta-information. There is
  support for reading and writing a cache file so autorevision will
