=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_auto_build:
	# Don't build the HTML versions of the docs
	# since the text versions are just as useful.
	dh_auto_build -- autorevision.1

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

override_dh_installchangelogs:
	dh_installchangelogs NEWS
