## autorevision 1.15

=== Makefile ===
--- 
+++ 
@@ -40,8 +40,7 @@
 	control
 
 EXTRA_DIST = \
-	contribs/logo.svg \
-	contribs/autorevision.mk \
+	contribs \
 	AUTHORS.txt \
 	autorevision.cache
 
@@ -63,7 +62,7 @@
 
 # HTML representation of the man page
 autorevision.html: autorevision.asciidoc
-	asciidoc --doctype=manpage --backend=xhtml11 autorevision.asciidoc
+	asciidoc --attribute="revdate=$(DOCDATE)" --attribute="footer-style=revdate" --attribute="revnumber=$(VERS)" --doctype=manpage --backend=xhtml11 autorevision.asciidoc
 
 # Authors
 auth: AUTHORS.txt
@@ -86,7 +85,7 @@
 autorevision-$(VERS).tgz: $(SOURCES) all auth
 	mkdir autorevision-$(VERS)
 	cp -pR $(SOURCES) $(EXTRA_DIST) autorevision-$(VERS)/
-	@COPYFILE_DISABLE=1 tar -czf autorevision-$(VERS).tgz autorevision-$(VERS)
+	@COPYFILE_DISABLE=1 tar -czf autorevision-$(VERS).tgz --exclude=".DS_Store" autorevision-$(VERS)
 	rm -fr autorevision-$(VERS)
 
 install: all
@@ -120,4 +119,4 @@
 # Tag with `git tag -s v/<number>` before running this.
 release: docs dist
 	git tag -v "v/$(VERS)"
-	shipper version=$(VERS) | sh -e -x
+#	shipper version=$(VERS) | sh -e -x
