=== debian/changelog ===
autorevision (1.15-1) unstable; urgency=medium

  * New upstream release
    - Drop dh_auto_build override, no longer needed
  * Bump Standards-Version, no changes needed
  * Update copyright information
  * Install most of contribs/ as examples

 -- Paul Wise <pabs@debian.org>  Sat, 13 Aug 2016 18:09:32 +0800

autorevision (1.14-1) unstable; urgency=medium

  * New upstream release
    - Update copyright years
  * ESR no longer involved, update watch file and metadata
  * Bump Standards-Version, no changes needed

 -- Paul Wise <pabs@debian.org>  Tue, 23 Feb 2016 09:05:22 +0800
