=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
  docbook-xml,
  docbook-xsl,
  libxml2-utils,
- xsltproc
-Standards-Version: 3.9.6
+ xsltproc,
+Standards-Version: 3.9.8
 Homepage: https://autorevision.github.io/
 
 Package: autorevision
 Architecture: all
 Depends:
- ${misc:Depends}
+ ${misc:Depends},
 Description: extracts revision metadata from your VCS repository
  Extracts metadata about the current revision from your repository.
  This program is meant to be used by project build systems to extract
