## autorevision 1.19

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 DOCDATE := $(shell ./autorevision.sh -s VCS_DATE -o ./autorevision.cache -f | sed -e 's:T.*::')
 
 # Find a md5 program
-MD5 := $(shell if type "md5" &> /dev/null; then echo "md5 -q"; elif type "md5sum" &> /dev/null; then echo "md5sum"; fi)
+MD5 := $(shell if command -v "md5" > /dev/null 2>&1; then echo "md5 -q"; elif command -v "md5sum" > /dev/null 2>&1; then echo "md5sum"; fi)
 
 .SUFFIXES: .md .html
 
@@ -70,15 +70,18 @@
 AUTHORS.txt:
 	git log --format='%aN <%aE>' | awk '{arr[$$0]++} END{for (i in arr){print arr[i], i;}}' | sort -rn | cut -d\  -f2- > AUTHORS.txt
 
+# The tarball signed and sealed
+dist: tarball autorevision-$(VERS).tgz.md5 autorevision-$(VERS).tgz.sig
+
 # The tarball
-dist: autorevision-$(VERS).tgz autorevision-$(VERS).tgz.md5 autorevision-$(VERS).tgz.sig
+tarball: autorevision-$(VERS).tgz
 
 # Make an md5 checksum
-autorevision-$(VERS).tgz.md5: autorevision-$(VERS).tgz
+autorevision-$(VERS).tgz.md5: tarball
 	$(MD5) autorevision-$(VERS).tgz > autorevision-$(VERS).tgz.md5
 
 # Make a detached gpg sig
-autorevision-$(VERS).tgz.sig: autorevision-$(VERS).tgz
+autorevision-$(VERS).tgz.sig: tarball
 	gpg --armour --detach-sign --output "autorevision-$(VERS).tgz.sig" "autorevision-$(VERS).tgz"
 
 # The actual tarball
@@ -108,6 +111,7 @@
 devclean: clean
 	rm -f autorevision.cache
 	rm -f AUTHORS AUTHORS.txt
+	rm -f *.orig ./*/*.orig
 
 # HTML versions of doc files suitable for use on a website
 docs: \
