=== debian/changelog ===
autorevision (1.20-1) unstable; urgency=medium

  * New upstream release

 -- Paul Wise <pabs@debian.org>  Wed, 04 Jan 2017 10:03:03 +0800

autorevision (1.19-1) unstable; urgency=medium

  * New upstream release

 -- Paul Wise <pabs@debian.org>  Wed, 21 Dec 2016 08:32:37 +0800

autorevision (1.18-1) unstable; urgency=medium

  * New upstream release

 -- Paul Wise <pabs@debian.org>  Wed, 23 Nov 2016 10:23:57 +0800

autorevision (1.17-1) unstable; urgency=medium

  * New upstream release
  * Mark as multi-arch foreign, thanks to the multiarch hinter

 -- Paul Wise <pabs@debian.org>  Sat, 19 Nov 2016 08:32:27 +0800
