=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
 
 Package: autorevision
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
 Description: extracts revision metadata from your VCS repository
