## autorevision 1.21

=== debian/changelog ===
autorevision (1.21-1) unstable; urgency=medium

  * New upstream release
  * Avoid installing texlive along with asciidoc
  * Bump Standards-Version, no changes needed
  * Bump debhelper compat, no changes detected

 -- Paul Wise <pabs@debian.org>  Sun, 01 Oct 2017 13:54:10 +0800
