=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Paul Wise <pabs@debian.org>
 Build-Depends:
- asciidoc,
- debhelper (>= 9),
+ asciidoc-base | asciidoc (<< 8.6.9-4~),
+ debhelper (>= 10),
  docbook-xml,
  docbook-xsl,
  libxml2-utils,
  xsltproc,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://autorevision.github.io/
 
 Package: autorevision
