=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_installexamples:
	dh_installexamples -Xlogo.svg
