=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
https://github.com/Autorevision/autorevision/releases .*/autorevision-(\d[\d\.]*)\.tgz
