## autorevision 1.22

=== Makefile ===
--- 
+++ 
@@ -40,11 +40,12 @@
 	control
 
 EXTRA_DIST = \
+	logo.svg.in \
 	contribs \
 	AUTHORS.txt \
 	autorevision.cache
 
-all : cmd man
+all : cmd man logo.svg
 
 # The script
 cmd: autorevision
@@ -55,7 +56,10 @@
 	chmod +x autorevision
 
 # The Man Page
-man: autorevision.1
+man: autorevision.1.gz
+
+autorevision.1.gz: autorevision.1
+	gzip --no-name < autorevision.1 > autorevision.1.gz
 
 autorevision.1: autorevision.asciidoc
 	a2x --attribute="revdate=$(DOCDATE)" --attribute="revnumber=$(VERS)" -f manpage autorevision.asciidoc
@@ -67,8 +71,14 @@
 # Authors
 auth: AUTHORS.txt
 
-AUTHORS.txt:
+AUTHORS.txt: .mailmap autorevision.cache
 	git log --format='%aN <%aE>' | sort -f | uniq -c | sort -rn | sed 's:^ *[0-9]* *::' > AUTHORS.txt
+
+autorevision.sed: autorevision.cache
+	./autorevision.sh -f -t sed -o $< > $@
+
+logo.svg: logo.svg.in autorevision.sed
+	sed -f autorevision.sed $< > $@
 
 # The tarball signed and sealed
 dist: tarball autorevision-$(VERS).tgz.md5 autorevision-$(VERS).tgz.sig
@@ -88,20 +98,21 @@
 autorevision-$(VERS).tgz: $(SOURCES) all auth
 	mkdir autorevision-$(VERS)
 	cp -pR $(SOURCES) $(EXTRA_DIST) autorevision-$(VERS)/
-	@COPYFILE_DISABLE=1 tar -czf autorevision-$(VERS).tgz --exclude=".DS_Store" autorevision-$(VERS)
+	@COPYFILE_DISABLE=1 GZIP=-n9 tar -czf autorevision-$(VERS).tgz --exclude=".DS_Store" autorevision-$(VERS)
 	rm -fr autorevision-$(VERS)
 
 install: all
 	install -d "$(target)/bin"
 	install -m 755 autorevision "$(target)/bin/autorevision"
 	install -d "$(target)$(mandir)/man1"
-	gzip --no-name < autorevision.1 > "$(target)$(mandir)/man1/autorevision.1.gz"
+	install -m 644 autorevision.1.gz "$(target)$(mandir)/man1/autorevision.1.gz"
 
 uninstall:
 	rm -f "$(target)/bin/autorevision" "$(target)$(mandir)/man1/autorevision.1.gz"
 
 clean:
-	rm -f autorevision autorevision.html autorevision.1
+	rm -f autorevision autorevision.html autorevision.1 autorevision.1.gz
+	rm -f autorevision.sed logo.svg
 	rm -f *.tgz *.md5 *.sig
 	rm -f docbook-xsl.css
 	rm -f CONTRIBUTING.html COPYING.html README.html
