=== debian/changelog ===
autorevision (1.22-2) unstable; urgency=medium

  * Fix inclusion of NEWS file

 -- Paul Wise <pabs@debian.org>  Mon, 01 Feb 2021 19:30:47 +0800

autorevision (1.22-1) unstable; urgency=medium

  [ Paul Wise ]
  * New upstream release.
  * Set Rules-Requires-Root: no
  * Stop including NEWS file as changelog
  * Declare compliance with policy version 4.5.1
  * Bump debhelper from old 10 to 13.

  [ lintian-brush ]
  * Set debhelper-compat version in Build-Depends.
  * Re-export upstream signing key without extra signatures.
  * Set field Upstream-Contact in debian/copyright.
  * Set upstream metadata fields: Repository.
  * Drop unnecessary dh arguments: --parallel
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update watch file format version to 4.

 -- Paul Wise <pabs@debian.org>  Mon, 01 Feb 2021 19:22:32 +0800
