=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Maintainer: Paul Wise <pabs@debian.org>
 Build-Depends:
  asciidoc-base | asciidoc (<< 8.6.9-4~),
- debhelper (>= 10),
+ debhelper-compat (= 13),
  docbook-xml,
  docbook-xsl,
  libxml2-utils,
  xsltproc,
-Standards-Version: 4.1.1
+Standards-Version: 4.5.1
 Homepage: https://autorevision.github.io/
+Rules-Requires-Root: no
 
 Package: autorevision
 Architecture: all
